<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.language.c Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.language.c Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/language/base/sources/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/language/c/plugins/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/language/c/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.language.c</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api"><span class="strong">Buildable</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api"><span class="strong">BuildableComponentSpec</span></a> (also extends org.gradle.platform.base.<a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>)
<ul>
<li type="circle">org.gradle.language.base.<a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base"><span class="strong">LanguageSourceSet</span></a>
<ul>
<li type="circle">org.gradle.language.c.<a href="../../../../org/gradle/language/c/CSourceSet.html" title="interface in org.gradle.language.c"><span class="strong">CSourceSet</span></a> (also extends org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/DependentSourceSet.html" title="interface in org.gradle.language.nativeplatform">DependentSourceSet</a>, org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/HeaderExportingSourceSet.html" title="interface in org.gradle.language.nativeplatform">HeaderExportingSourceSet</a>)</li>
<li type="circle">org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/DependentSourceSet.html" title="interface in org.gradle.language.nativeplatform"><span class="strong">DependentSourceSet</span></a>
<ul>
<li type="circle">org.gradle.language.c.<a href="../../../../org/gradle/language/c/CSourceSet.html" title="interface in org.gradle.language.c"><span class="strong">CSourceSet</span></a> (also extends org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/HeaderExportingSourceSet.html" title="interface in org.gradle.language.nativeplatform">HeaderExportingSourceSet</a>, org.gradle.language.base.<a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/HeaderExportingSourceSet.html" title="interface in org.gradle.language.nativeplatform"><span class="strong">HeaderExportingSourceSet</span></a>
<ul>
<li type="circle">org.gradle.language.c.<a href="../../../../org/gradle/language/c/CSourceSet.html" title="interface in org.gradle.language.c"><span class="strong">CSourceSet</span></a> (also extends org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/DependentSourceSet.html" title="interface in org.gradle.language.nativeplatform">DependentSourceSet</a>, org.gradle.language.base.<a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api"><span class="strong">Named</span></a>
<ul>
<li type="circle">org.gradle.model.<a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model"><span class="strong">ModelElement</span></a>
<ul>
<li type="circle">org.gradle.platform.base.<a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">ComponentSpec</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api"><span class="strong">BuildableComponentSpec</span></a> (also extends org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>)
<ul>
<li type="circle">org.gradle.language.base.<a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base"><span class="strong">LanguageSourceSet</span></a>
<ul>
<li type="circle">org.gradle.language.c.<a href="../../../../org/gradle/language/c/CSourceSet.html" title="interface in org.gradle.language.c"><span class="strong">CSourceSet</span></a> (also extends org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/DependentSourceSet.html" title="interface in org.gradle.language.nativeplatform">DependentSourceSet</a>, org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/HeaderExportingSourceSet.html" title="interface in org.gradle.language.nativeplatform">HeaderExportingSourceSet</a>)</li>
<li type="circle">org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/DependentSourceSet.html" title="interface in org.gradle.language.nativeplatform"><span class="strong">DependentSourceSet</span></a>
<ul>
<li type="circle">org.gradle.language.c.<a href="../../../../org/gradle/language/c/CSourceSet.html" title="interface in org.gradle.language.c"><span class="strong">CSourceSet</span></a> (also extends org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/HeaderExportingSourceSet.html" title="interface in org.gradle.language.nativeplatform">HeaderExportingSourceSet</a>, org.gradle.language.base.<a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/HeaderExportingSourceSet.html" title="interface in org.gradle.language.nativeplatform"><span class="strong">HeaderExportingSourceSet</span></a>
<ul>
<li type="circle">org.gradle.language.c.<a href="../../../../org/gradle/language/c/CSourceSet.html" title="interface in org.gradle.language.c"><span class="strong">CSourceSet</span></a> (also extends org.gradle.language.nativeplatform.<a href="../../../../org/gradle/language/nativeplatform/DependentSourceSet.html" title="interface in org.gradle.language.nativeplatform">DependentSourceSet</a>, org.gradle.language.base.<a href="../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/language/base/sources/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/language/c/plugins/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/language/c/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
